/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.karry.svgview;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;
import org.openide.windows.TopComponent;

/**
 * Action which shows SVGView component.
 */
public class SVGViewAction extends AbstractAction {

    public SVGViewAction() {
        super(NbBundle.getMessage(SVGViewAction.class, "CTL_SVGViewAction"));
//        putValue(SMALL_ICON, new ImageIcon(Utilities.loadImage(SVGViewTopComponent.ICON_PATH, true)));
    }

    public void actionPerformed(ActionEvent evt) {
        TopComponent win = SVGViewTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
}
